summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marco Marini2019-08-17 15:05:38 +0200
committer Willy Sudiarto Raharjo2019-08-17 15:05:38 +0200
commit35d4cbec725ecdca3bd395fcba72d4522f6b579e (patch)
tree8f4b9eaef6eb16d632b6ce3cbbd3ca05854eb64e
parent4cfed7ece1b1bb4eac5051095fed7b11c5332a39 (diff)
downloadslackbuilds-35d4cbec725ecdca3bd395fcba72d4522f6b579e.tar.gz
development/mg-troglobit: Added (Emacs-like Editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/mg-troglobit/LICENSE21
-rw-r--r--development/mg-troglobit/README9
-rw-r--r--development/mg-troglobit/README.md9
-rw-r--r--development/mg-troglobit/mg-troglobit.SlackBuild85
-rw-r--r--development/mg-troglobit/mg-troglobit.info10
-rw-r--r--development/mg-troglobit/slack-desc19
6 files changed, 153 insertions, 0 deletions
diff --git a/development/mg-troglobit/LICENSE b/development/mg-troglobit/LICENSE
new file mode 100644
index 0000000000..572f5a4214
--- /dev/null
+++ b/development/mg-troglobit/LICENSE
@@ -0,0 +1,21 @@
+MIT License
+
+Copyright (c) 2019 Marco Marini
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
diff --git a/development/mg-troglobit/README b/development/mg-troglobit/README
new file mode 100644
index 0000000000..125b3b0956
--- /dev/null
+++ b/development/mg-troglobit/README
@@ -0,0 +1,9 @@
+mg-troglobit (Portable self hosting version of the mg-openbsd editor)
+
+The intention is to be a small, fast, and portable Emacs-like editor
+for users who cannot, or do not want to, run the real Emacs for one
+reason or another.
+
+Compatibility with GNU Emacs is key for Mg, separating it from other
+ErsatzEmacs clones, because there should never be any reason to learn
+more than one Emacs flavor.
diff --git a/development/mg-troglobit/README.md b/development/mg-troglobit/README.md
new file mode 100644
index 0000000000..f58a961a66
--- /dev/null
+++ b/development/mg-troglobit/README.md
@@ -0,0 +1,9 @@
+# mg-troglobit.SlackBuild
+
+A SlackBuild for Joachim Nilsson (troglobit)'s fork of OpenBSD Mg (https://github.com/troglobit/mg)
+
+The usage is the very same of https://slackbuilds.org/howto/
+
+Get the Mg source code here: https://ftp.troglobit.com/mg/
+
+![Mg-troglobit on Slackware 14.0](https://i.postimg.cc/jdHmCKhz/mg-troglobit.png "Mg-troglobit on Slackware 14.0")
diff --git a/development/mg-troglobit/mg-troglobit.SlackBuild b/development/mg-troglobit/mg-troglobit.SlackBuild
new file mode 100644
index 0000000000..b910a47fce
--- /dev/null
+++ b/development/mg-troglobit/mg-troglobit.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh -e
+
+# Slackware build script for Joachim Nilsson (troglobit)'s fork of OpenBSD Mg
+# saidone@saidone.org revision date 2019/08/11
+# license (of this script and its accessories, not that of the application it will package): see LICENSE
+
+PRGNAM=mg-troglobit
+VERSION=${VERSION:-3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -Wno-unused-result"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -Wno-unused-result"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -Wno-unused-result"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2 -Wno-unused-result"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM/troglobit/}$VERSION.tar.gz
+mv ${PRGNAM/troglobit/}$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# override SLKCFLAGS if CFLAGS is set
+if [ -n "$(echo $CFLAGS|tr -d '[:space:]')" ]; then SLKCFLAGS="$CFLAGS"; fi
+
+SLKCFLAGS="$SLKCFLAGS -lcurses"
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+make
+
+make install PREFIX=/usr DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm $PKG/usr/doc/$PRGNAM-$VERSION/*.md
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mg-troglobit/mg-troglobit.info b/development/mg-troglobit/mg-troglobit.info
new file mode 100644
index 0000000000..0f9befd154
--- /dev/null
+++ b/development/mg-troglobit/mg-troglobit.info
@@ -0,0 +1,10 @@
+PRGNAM="mg-troglobit"
+VERSION="3.2"
+HOMEPAGE="https://github.com/troglobit/mg"
+DOWNLOAD="https://ftp.troglobit.com/mg/mg-3.2.tar.gz"
+MD5SUM="59ef99ebdb738e804e752d1586abed73"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marco Marini"
+EMAIL="saidone@saidone.org"
diff --git a/development/mg-troglobit/slack-desc b/development/mg-troglobit/slack-desc
new file mode 100644
index 0000000000..cb2766f037
--- /dev/null
+++ b/development/mg-troglobit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mg-troglobit: mg-troglobit (Portable self hosting version of the mg-openbsd editor)
+mg-troglobit:
+mg-troglobit: The intention is to be a small, fast, and portable Emacs-like editor
+mg-troglobit: for users who cannot, or do not want to, run the real Emacs for one
+mg-troglobit: reason or another.
+mg-troglobit:
+mg-troglobit: Compatibility with GNU Emacs is key for Mg, separating it from other
+mg-troglobit: ErsatzEmacs clones, because there should never be any reason to learn
+mg-troglobit: more than one Emacs flavor.
+mg-troglobit:
+mg-troglobit: homepage: https://github.com/troglobit/mg